Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Subscription Operations
POSTEvent Subscription OperationsSince 2.3SynchronousAuth Required

SubscribeEvent

SubscribeEvent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • namespaceStringRequired

      The namespace.

    • eventNameStringRequired

      The event name.

    • actionsList

      Optional. The event actions.

    • labelsList

      Optional. The event labels.

    • resourceUuidString

      Optional.

    • nameString

      Optional. The resource name.

    • emergencyLevelString

      Optional. The alarm emergency level.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/zwatch/events/subscriptions

/zstack/v1/zwatch/events/subscriptions

Operation ID

SubscribeEvent

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/zwatch/events/subscriptions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"namespace":"<namespace>","eventName":"<eventName>","actions":["<actions>"],"labels":["<labels>"],"resourceUuid":"<resourceUuid>","name":"<name>","emergencyLevel":"<emergencyLevel>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history